2
0

Trace subshell errors.

This commit is contained in:
Maarten Billemont 2018-06-05 14:44:54 -04:00
parent d472d975ce
commit cc5c45e3aa
4 changed files with 6 additions and 5 deletions

View File

@ -2,6 +2,7 @@ variables:
SHLVL: 0
JEKYLL_ENV: production
GIT_SUBMODULE_STRATEGY: recursive
GIT_DEPTH: "3"
build_project:
stage: build

View File

@ -2,8 +2,8 @@
# See https://developer.apple.com/library/ios/qa/qa1686/_index.html
cd "${BASH_SOURCE%/*}"
source bashlib
trap 'c=$BASH_COMMAND s=$?; (( s )) && echo >&2 "ERROR: $s: $c"; exit $s' EXIT
set -e
trap 'echo >&2 "ERROR: $?: $BASH_COMMAND"' ERR
set -eE
cd ..
export PATH+=:/usr/local/bin

View File

@ -1,8 +1,8 @@
#!/usr/bin/env bash
cd "${BASH_SOURCE%/*}"
source ./bashlib
trap 'c=$BASH_COMMAND s=$?; (( s )) && echo >&2 "ERROR: $s: $c"; exit $s' EXIT
set -e
trap 'echo >&2 "ERROR: $?: $BASH_COMMAND"' ERR
set -eE
cd ..
export PATH+=:/usr/libexec

@ -1 +1 @@
Subproject commit c5e264ee9f8a85ce9d6d847c6c0d5255b4c840c1
Subproject commit 6cde8d9db84310abba0ec5f278862466a51e6a96